aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Dechesne <nicolas.dechesne@linaro.org>2017-11-22 18:53:12 +0000
committerNicolas Dechesne <nicolas.dechesne@linaro.org>2017-11-23 21:19:28 +0000
commit50c48e31d36e7c173a6ec5085c136d36c0741234 (patch)
treeadad48721501680ebb263ec66b4eae5e7a4e5832
parent631d779c29634dc4b885f0063ed0b7509f44a546 (diff)
downloadfai-50c48e31d36e7c173a6ec5085c136d36c0741234.tar.gz
DB600C: initial support
For now use the Debian kernel, until we build our own kernel for DB600c. Change-Id: Id837e62b0c43d6a726af65e417628472a8726255 Signed-off-by: Nicolas Dechesne <nicolas.dechesne@linaro.org>
-rw-r--r--class/DB600C.var2
-rw-r--r--package_config/QCOM3
-rwxr-xr-xscripts/DB600C/21-customize18
3 files changed, 23 insertions, 0 deletions
diff --git a/class/DB600C.var b/class/DB600C.var
new file mode 100644
index 0000000..3f07c67
--- /dev/null
+++ b/class/DB600C.var
@@ -0,0 +1,2 @@
+KVERS=4.13.0-1-armmp
+fdtfile=qcom-apq8064-arrow-sd-600eval.dtb
diff --git a/package_config/QCOM b/package_config/QCOM
index 9b3defd..ade2520 100644
--- a/package_config/QCOM
+++ b/package_config/QCOM
@@ -2,6 +2,9 @@ PACKAGES install-norec DB410C
firmware-qcom-dragonboard410c
linux-image-4.9.0-qcomlt
+PACKAGES install-norec DB600C
+linux-image-armmp
+
PACKAGES install-norec DB820C
firmware-atheros
firmware-qcom-dragonboard820c
diff --git a/scripts/DB600C/21-customize b/scripts/DB600C/21-customize
new file mode 100755
index 0000000..97af710
--- /dev/null
+++ b/scripts/DB600C/21-customize
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -e
+
+# In case initrd doesn't exist, create it, else update
+if [ -f $target/boot/initrd.img-${KVERS} ]
+then
+ chroot $target /usr/sbin/update-initramfs -u -k ${KVERS}
+else
+ chroot $target /usr/sbin/update-initramfs -c -k ${KVERS}
+fi
+
+OUT=$FAI/out
+mkdir -p $OUT
+cp $target/boot/vmlinuz-${KVERS} $OUT/
+cp $target/usr/lib/linux-image-${KVERS}/$fdtfile $OUT/
+cp $target/boot/initrd.img-${KVERS} $OUT/
+cp $target/boot/config-${KVERS} $OUT/
+cp $target/boot/System.map-${KVERS} $OUT/